package udp;

import java.io.IOException;
import java.net.DatagramPacket;
import java.net.DatagramSocket;
import java.net.SocketException;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author votavon1
 */
public class Server {
    public static void main(String[] args) {
        DatagramSocket ds = null;
        try {
            ds = new DatagramSocket(50010);
            byte [] buffer = new byte[1024];
            DatagramPacket p = new DatagramPacket(buffer, buffer.length);
            while(true){
                p.setLength(buffer.length);
                ds.receive(p);
                String message = new String(p.getData(), p.getOffset(),
                        p.getLength());
                System.out.println("Klient "+p.getAddress() + 
                        ":"+p.getPort());
                System.out.println(message);
                String reply = "UDP: "+message;
                System.arraycopy(reply.getBytes(), 0, buffer, 0,
                        reply.length());
                p.setLength(reply.length());
                ds.send(p);
            }
        } catch (SocketException ex) {
            Logger.getLogger(Server.class.getName()).log(Level.SEVERE, null, ex);
        } catch (IOException ex) {
            Logger.getLogger(Server.class.getName()).log(Level.SEVERE, null, ex);
        } finally {
            ds.close();
        }
    }
}
